from django.contrib.auth.mixins import LoginRequiredMixin
from django.views import View
from django.shortcuts import render


class Drilldown(LoginRequiredMixin, View):
    template_name = "ui/drilldown.html"

    def get(self, request, *args, **kwargs):
        if not request.user.has_plan("drilldown"):
            return render(request, "denied.html")
        return render(request, self.template_name)